[Bug #845] warning: "RUBY_VERSION_CODE" is not defined


#1

Bug #845: warning: “RUBY_VERSION_CODE” is not defined
http://redmine.ruby-lang.org/issues/show/845

e$B5/I<<Te(B: Kazuhiro NISHIYAMA
e$B%9%F!<%?%9e(B: Open, e$BM%@hEYe(B: Normal

rational.ce$B$He(Bcomplex.ce$B$Ge(Bwarninge$B$,=P$F$$$^$9!#e(B

http://www.rubyist.net/~akr/chkbuild/debian/ruby-trunk/last

gcc -DRUBY_DEBUG_ENV -O2 -g -Wall -Wformat=2 -Wundef -Wno-parentheses
-I. -I.ext/include/i686-linux -I./include -I. -DRUBY_EXPORT -o
rational.o -c rational.c
rational.c:380:5: warning: “RUBY_VERSION_CODE” is not defined
rational.c:1544:5: warning: “NUBY” is not defined

gcc -DRUBY_DEBUG_ENV -O2 -g -Wall -Wformat=2 -Wundef -Wno-parentheses
-I. -I.ext/include/i686-linux -I./include -I. -DRUBY_EXPORT -o
complex.o -c complex.c
complex.c:323:5: warning: “RUBY_VERSION_CODE” is not defined
complex.c:1430:5: warning: “NUBY” is not defined


#2

e$B%A%1%C%He(B #845 e$B$,99?7$5$l$^$7$?!#e(B (by Yukihiro M.)

e$B%9%F!<%?%9e(B Opene$B$+$ie(BClosede$B$KJQ99e(B

fixed by r20612.

http://redmine.ruby-lang.org/issues/show/845